[SCSI] mptfusion: Support SAS2.0 Devices with SAS1.0 Controllers
authorKashyap, Desai <kashyap.desai@lsi.com>
Thu, 10 Feb 2011 06:20:39 +0000 (11:20 +0530)
committerJames Bottomley <James.Bottomley@suse.de>
Sat, 12 Feb 2011 19:57:28 +0000 (13:57 -0600)
commitd75733d51fdab5c99a0d9491b25f22e13b39cdc1
treee5aff7828c3306b172281244544e1ffb729dd432
parent8597ae8bfe35f5e438b00ba5df852e97ebe1ac23
[SCSI] mptfusion: Support SAS2.0 Devices with SAS1.0 Controllers

SAS1.0 Controller was not able to detect SAS2.0 Expanders due to Link
RATE detection was limited to 1.5 Gbps and 3.0 Gbps for SAS1
controllers. Added detection for 6.0 Gbps link.  Now, user can mix-up
6.0 Gpbs links with SAS1.0 controller.

e.g SAS1.0 HBA <----> SAS2.0 Expander <------> SAS2.0 Expander <--------> SAS1.0 Drive.

Signed-off-by: Kashyap Desai <kashyap.desai@lsi.com>
Signed-off-by: James Bottomley <James.Bottomley@suse.de>
drivers/message/fusion/lsi/mpi_cnfg.h
drivers/message/fusion/lsi/mpi_ioc.h
drivers/message/fusion/mptbase.c
drivers/message/fusion/mptsas.c